Bug 2055591 (CVE-2022-0566) - CVE-2022-0566 thunderbird: Crafted email could trigger an out-of-bounds write
Summary: CVE-2022-0566 thunderbird: Crafted email could trigger an out-of-bounds write
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-0566
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2055592 2057254 2057255 2057256 2057257 2060203 2060204 2060205 2060206 2060207 2060208 2060209 2060210 2060833 2062650
Blocks: 2055593
TreeView+ depends on / blocked
 
Reported: 2022-02-17 10:15 UTC by Sandipan Roy
Modified: 2023-01-30 09:19 UTC (History)
13 users (show)

Fixed In Version: Thunderbird 91.6.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Thunderbird. The vulnerability occurs due to an out-of-bounds write of one byte when processing the message. This flaw allows an attacker to craft an email message that causes Thunderbird to perform an out-of-bounds write.
Clone Of:
Environment:
Last Closed: 2022-03-14 15:01:11 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:0843 0 None None None 2022-03-14 10:04:34 UTC
Red Hat Product Errata RHSA-2022:0845 0 None None None 2022-03-14 10:13:02 UTC
Red Hat Product Errata RHSA-2022:0847 0 None None None 2022-03-14 10:07:44 UTC
Red Hat Product Errata RHSA-2022:0850 0 None None None 2022-03-14 10:44:20 UTC
Red Hat Product Errata RHSA-2022:0853 0 None None None 2022-03-14 10:25:57 UTC

Description Sandipan Roy 2022-02-17 10:15:05 UTC
It may be possible for an attacker to craft an email message that causes Thunderbird to perform an out-of-bounds write of one byte when processing the message.

Fixed in 91.6.1

References:
https://www.mozilla.org/en-US/security/advisories/mfsa2022-07/#CVE-2022-0566
https://bugzilla.mozilla.org/show_bug.cgi?id=1753094

Comment 1 Sandipan Roy 2022-02-17 10:16:49 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 2055592]

Comment 5 errata-xmlrpc 2022-03-14 10:04:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2022:0843 https://access.redhat.com/errata/RHSA-2022:0843

Comment 6 errata-xmlrpc 2022-03-14 10:07:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2022:0847 https://access.redhat.com/errata/RHSA-2022:0847

Comment 7 errata-xmlrpc 2022-03-14 10:12:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0845 https://access.redhat.com/errata/RHSA-2022:0845

Comment 8 errata-xmlrpc 2022-03-14 10:25:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:0853 https://access.redhat.com/errata/RHSA-2022:0853

Comment 9 errata-xmlrpc 2022-03-14 10:44:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:0850 https://access.redhat.com/errata/RHSA-2022:0850

Comment 10 Product Security DevOps Team 2022-03-14 15:01:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0566


Note You need to log in before you can comment on or make changes to this bug.